<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:background="#FFF"
    android:layout_height="match_parent"
    android:orientation="vertical">
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_gravity="center">

        <com.company.trackify.ViewsHelper.TextViewField
            style="@style/textView"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_centerInParent="true"
            android:padding="15dp"
            android:text="Sign Up"
            android:textColor="#000"
            android:textSize="17sp"/>

        <ImageButton
            android:id="@+id/GotoLogin"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:background="@drawable/ripple"
            android:padding="12dp"
            android:src="@drawable/ic_clear_black_24dp"/>
    </RelativeLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:layout_marginTop="10dp"
                >
                <ImageView
                    android:id="@+id/profileImage"
                    android:layout_width="100dp"
                    android:layout_height="100dp"
                    android:layout_centerInParent="true" />
                <ImageButton
                    android:id="@+id/changeImage"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignRight="@+id/profileImage"
                    android:layout_marginLeft="-10dp"
                    android:layout_marginStart="-10dp"
                    android:background="@color/colorPrimary"
                    android:src="@drawable/ic_add"/>
            </RelativeLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:padding="20dp"
                >
                <android.support.design.widget.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    app:hintTextAppearance="@style/MyEditTextFloating">

                    <com.company.trackify.ViewsHelper.EdittextInput
                        style="@style/textView"
                        android:id="@+id/name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/buttonloginbackground"
                        android:hint="Full Name"
                        android:maxLines="1"
                        android:padding="10dp"
                        android:singleLine="true" />

                </android.support.design.widget.TextInputLayout>

                <android.support.design.widget.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    app:hintTextAppearance="@style/MyEditTextFloating">

                    <com.company.trackify.ViewsHelper.EdittextInput
                        style="@style/textView"
                        android:id="@+id/email"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/buttonloginbackground"
                        android:hint="Email"
                        android:maxLines="1"
                        android:padding="10dp"
                        android:singleLine="true" />

                </android.support.design.widget.TextInputLayout>

                <android.support.design.widget.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    app:hintTextAppearance="@style/MyEditTextFloating"
                    app:passwordToggleEnabled="true">

                    <com.company.trackify.ViewsHelper.EdittextInput
                        android:id="@+id/password"
                        style="@style/textView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/buttonloginbackground"
                        android:hint="Password"
                        android:inputType="textPassword"
                        android:maxLines="1"
                        android:padding="10dp"
                        android:singleLine="true" />

                </android.support.design.widget.TextInputLayout>

                <android.support.design.widget.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    app:hintTextAppearance="@style/MyEditTextFloating">

                    <com.company.trackify.ViewsHelper.EdittextInput
                        style="@style/textView"
                        android:id="@id/mobile"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/buttonloginbackground"
                        android:hint="Mobile"
                        android:maxLines="1"
                        android:padding="10dp"
                        android:singleLine="true"/>

                </android.support.design.widget.TextInputLayout>

                <com.company.trackify.ViewsHelper.ButtonLogin
                    style="@style/buttonLogin"
                    android:id="@+id/btn_register"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginTop="30dp"
                    android:background="@color/colorAccent"
                    android:text="Sign Up"
                    android:textColor="#FFF"/>

                <com.company.trackify.ViewsHelper.TextViewField
                    style="@style/textView"
                    android:id="@+id/GotoLoginText"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_marginTop="20dp"
                    android:text="Already have an account? Sign In"
                    android:textColor="#9c9c9c" />

            </LinearLayout>

        </LinearLayout>
    </ScrollView>


</LinearLayout>